Bug 1843625 (CVE-2020-13596) - CVE-2020-13596 django: possible XSS via admin ForeignKeyRawIdWidget
Summary: CVE-2020-13596 django: possible XSS via admin ForeignKeyRawIdWidget
Keywords:
Status: NEW
Alias: CVE-2020-13596
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1843629 1843630 1845525 1845582 1843626 1843627 1843631 1844992 1845335 1845336 1845337 1846525 1851982
Blocks: 1843628
TreeView+ depends on / blocked
 
Reported: 2020-06-03 16:48 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-09-10 21:20 UTC (History)
34 users (show)

Fixed In Version: Django-3.0.7, Django-2.2.13
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Django, where the query parameters for the admin widget `ForeignKeyRawIdWidget` were not properly URL encoded. This flaw allows an attacker to perform a Cross-site scripting (XSS) attack. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-06-03 16:48:19 UTC
Query parameters for the admin ``ForeignKeyRawIdWidget`` were not properly URL encoded, posing an XSS attack vector. ``ForeignKeyRawIdWidget`` now ensures query parameters are correctly URL encoded.

Reference:
https://www.djangoproject.com/weblog/2020/jun/03/security-releases/

Comment 1 Guilherme de Almeida Suckevicz 2020-06-03 16:48:59 UTC
Created django:1.6/python-django tracking bugs for this issue:

Affects: fedora-all [bug 1843630]


Created python-django tracking bugs for this issue:

Affects: epel-all [bug 1843626]
Affects: fedora-all [bug 1843627]
Affects: openstack-rdo [bug 1843631]


Created python-django16 tracking bugs for this issue:

Affects: epel-7 [bug 1843629]

Comment 3 Yadnyawalk Tale 2020-06-08 06:20:35 UTC
External References:

https://www.djangoproject.com/weblog/2020/jun/03/security-releases

Comment 10 Riccardo Schirone 2020-06-09 13:00:57 UTC
Created python2-django1.11 tracking bugs for this issue:

Affects: fedora-all [bug 1845525]

Comment 19 Hardik Vyas 2020-06-29 14:44:05 UTC
Statement:

The following products ship the flawed code, however they do not make use of ForeignKeyRawIdWidget and are therefore not vulnerable to this flaw:
* Red Hat Satellite 6
* Red Hat Update Infrastructure 3
* Red Hat OpenStack Platform 13, 15, & 16
* Red Hat Gluster Storage 3

The version of python-django shipped with Red Hat Ceph Storage(RHCS) was used with calamari and graphite which are no more supported, hence the django package will not be fixed for RHCS.


Note You need to log in before you can comment on or make changes to this bug.